namespace Tinkerforge
{
    public static class ETemperatureIR
    {
        public static (char Option, short Min, short Max) GetAmbientTemperatureCallbackThreshold(
            this BrickletTemperatureIR temperatureIr)
        {
            temperatureIr.GetAmbientTemperatureCallbackThreshold(out char option, out short min, out short max);
            return (option, min, max);
        }

        public static (char Option, short Min, short Max) GetObjectTemperatureCallbackThreshold(
            this BrickletTemperatureIR temperatureIr)
        {
            temperatureIr.GetObjectTemperatureCallbackThreshold(out char option, out short min, out short max);
            return (option, min, max);
        }
    }
}
